Subject: bug#58584: 29.0.50; M-w crashes Emacs

From: Po Lu <[email-masked]>
Date: Tue, 18 Oct 2022 08:36:27 +0800

Matt Armstrong <[email-masked]> writes:

> X-Debbugs-CC: Po Lu <[email-masked]>
>
> ^^^ to get Po's attention.
>
>
> Robert Pluim <[email-masked]> writes:
>
>>>>>>> On Mon, 17 Oct 2022 23:15:01 +0800, Jacky Li via "Bug reports for GNU
>> Emacs, the Swiss army knife of text editors" <[email-masked]> said:
>>
>>     Bug> I was at eff4a4f49a. In EXWM, using M-w will crash Emacs. The x server
>>     Bug> gave an error of not finding the libinput module. I then switched to
>>     Bug> dwm, Emacs still crashed after M-w.
>>
>>     Bug> I am currently at b9aff5fdb8, everything is fine. I strongly suspect the
>>     Bug> bug was introduced in abf683bb03. It should be something related to
>>     Bug> putting things into kill buffer related to X. An extra information is
>>     Bug> that my Emacs is built with libinput2 support.
>>
>> Reverting abf683bb03 makes that crash go away for me.
>>
>> I guess Po Lu will look at it.

I tested that change under the no toolkit build and it worked there, so
it's probably specific to GTK 3.  Thanks, I will look into this.